Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.contents
Enum LineJoinEnum

    java.lang.Object
      java.lang.Enum<LineJoinEnum>
          org.pdfclown.documents.contents.LineJoinEnum

All Implemented Interfaces:
  Serializable, Comparable<LineJoinEnum>

    @PDF(value=PDF10)
    public enum LineJoinEnum

extends Enum<LineJoinEnum>

Shape to be used at the corners of stroked paths [PDF:1.6:4.3.2].

Version:
  0.1.1, 11/14/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Enum Constant Summary
`Bevel` Squared-off line join.
`Miter` Sharp line join.
`Round` Rounded line join.

Method Summary
`int` | `getCode()`
`int` | `toAwt()` Converts this constant into its equivalent AWT code.
`static LineJoinEnum` | `valueOf(int code)`
`static LineJoinEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LineJoinEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Miter

    public static final LineJoinEnum Miter

  Sharp line join.

### Round

    public static final LineJoinEnum Round

  Rounded line join.

### Bevel

    public static final LineJoinEnum Bevel

  Squared-off line join.

Method Detail

### values

    public static LineJoinEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LineJoinEnum c : LineJoinEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LineJoinEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static LineJoinEnum valueOf(int code)

### getCode

    public int getCode()

### toAwt

    public int toAwt()

  Converts this constant into its equivalent AWT code.

  See Also:
    `BasicStroke.JOIN_BEVEL`, `BasicStroke.JOIN_MITER`, `BasicStroke.JOIN_ROUND`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.